<launch>
  <arg name="simulation" default="false"/>

  <!-- robot -->
  <include file="$(find shutter_bringup)/launch/shutter_with_face.launch">
    <arg name="simulation" value="$(arg simulation)" />
    <arg name="move_to_shutter_screen" value="$(eval not arg('simulation'))" />
  </include>

  <!-- Load the URDF, SRDF and other .yaml configuration files on the param server -->
  <include file="$(find shutter_moveit_config)/launch/planning_context.launch">
    <arg name="load_robot_description" value="false"/>
    <arg name="ik_solver" value="bio_ik"/>
  </include>

  <!-- Trajectory execution  -->
  <include ns="shutter_servo" file="$(find shutter_moveit_config)/launch/trajectory_execution.launch.xml" unless="$(arg simulation)">
    <arg name="moveit_controller_manager" value="ros_control"/>
  </include>

  <node name="shutter_servo" pkg="shutter_servo" type="shutter_servo_node" output="screen" >
    <rosparam command="load" file="$(find shutter_servo)/config/shutter_servo_config.yaml" />
    <param name="simulation" value="$(arg simulation)" />
  </node>
</launch>
